## org.apache.naming
Class NamingContextBindingsEnumeration

    java.lang.Object
      org.apache.naming.NamingContextBindingsEnumeration

All Implemented Interfaces:
  java.util.Enumeration, javax.naming.NamingEnumeration

public class NamingContextBindingsEnumeration
extends java.lang.Object
implements javax.naming.NamingEnumeration

Naming enumeration implementation.

Version:
  $Revision: 1.2 $ $Date: 2004/08/26 21:46:17 $
Author:
  Remy Maucherat

Field Summary
`protected java.util.Enumeration` `enum` Underlying enumeration.

Constructor Summary
`NamingContextBindingsEnumeration(java.util.Enumeration enum)`
`NamingContextBindingsEnumeration(java.util.Vector entries)`

Method Summary
`void` `close()` Closes this enumeration.
`boolean` `hasMore()` Determines whether there are any more elements in the enumeration.
`boolean` `hasMoreElements()`
`java.lang.Object` `next()` Retrieves the next element in the enumeration.
`java.lang.Object` `nextElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### enum

    protected java.util.Enumeration enum

  Underlying enumeration.

Constructor Detail

### NamingContextBindingsEnumeration

    public NamingContextBindingsEnumeration(java.util.Vector entries)

### NamingContextBindingsEnumeration

    public NamingContextBindingsEnumeration(java.util.Enumeration enum)

Method Detail

### next

    public java.lang.Object next()
                          throws javax.naming.NamingException

  Retrieves the next element in the enumeration.

  Specified by:
    `next` in interface `javax.naming.NamingEnumeration`
  Throws:
    `javax.naming.NamingException`

### hasMore

    public boolean hasMore()
                    throws javax.naming.NamingException

  Determines whether there are any more elements in the enumeration.

  Specified by:
    `hasMore` in interface `javax.naming.NamingEnumeration`
  Throws:
    `javax.naming.NamingException`

### close

    public void close()
               throws javax.naming.NamingException

  Closes this enumeration.

  Specified by:
    `close` in interface `javax.naming.NamingEnumeration`
  Throws:
    `javax.naming.NamingException`

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `java.util.Enumeration`

### nextElement

    public java.lang.Object nextElement()

  Specified by:
    `nextElement` in interface `java.util.Enumeration`

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.